namespace MileageTraker.Web.Migrations
{
    using System;
    using System.Data.Entity.Migrations;
    
    public partial class FuelLog : DbMigration
    {
        public override void Up()
        {
            CreateTable(
                "dbo.FuelLog",
                c => new
                    {
                        FuelLogId = c.Int(nullable: false, identity: true),
                        Date = c.DateTime(nullable: false),
                        DriverFullName = c.String(nullable: false, maxLength: 128),
                        TagNumber = c.String(nullable: false),
                        Odometer = c.Int(nullable: false),
                        CityName = c.String(maxLength: 64),
                        MPG = c.Double(nullable: false),
                        GasPurchased = c.Double(nullable: false),
                        TotalPrice = c.Decimal(nullable: false, precision: 18, scale: 2),
                        SourceFilename = c.String(),
                        Log_LogId = c.Int(),
                    })
                .PrimaryKey(t => t.FuelLogId)
                .ForeignKey("dbo.Log", t => t.Log_LogId)
                .Index(t => t.Log_LogId);
            
        }
        
        public override void Down()
        {
            DropForeignKey("dbo.FuelLog", "Log_LogId", "dbo.Log");
            DropIndex("dbo.FuelLog", new[] { "Log_LogId" });
            DropTable("dbo.FuelLog");
        }
    }
}
